import { AmplifyFunction, AmplifyResourceGroupName, ConstructFactory, ConstructFactoryGetInstanceProps } from '@aws-amplify/plugin-types';
import { Construct } from 'constructs';
import { IFunction } from 'aws-cdk-lib/aws-lambda';
export type ProvidedFunctionProps = {
    /**
     * Group the function with existing Amplify resources or separate the function into its own group.
     * @default 'function' // grouping with other Amplify functions
     * @example
     * resourceGroupName: 'auth' // to group an auth trigger with an auth resource
     */
    resourceGroupName?: AmplifyResourceGroupName;
};
/**
 * Adapts provided CDK function as Amplify function.
 */
export declare class ProvidedFunctionFactory implements ConstructFactory<AmplifyFunction> {
    private readonly functionProvider;
    private readonly props?;
    private generator;
    /**
     * Creates provided function factory.
     */
    constructor(functionProvider: (scope: Construct) => IFunction, props?: ProvidedFunctionProps | undefined);
    /**
     * Creates a function instance.
     */
    getInstance(props: ConstructFactoryGetInstanceProps): AmplifyFunction;
}
//# sourceMappingURL=provided_function_factory.d.ts.map